


@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Caslon+Display&display=swap');
/*@import url('https://fonts.googleapis.com/css2?family=Rajdhani:wght@300;400;500;600;700&display=swap');*/
/*@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;500;600;700;800;900&display=swap');*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

p {
    font-size: 16px;
    line-height: 1.8;
    font-weight: 400;
}

h2 {
    font-size: 42px;
    font-weight: 600;
    margin-bottom: 15px;
}

ul {
    list-style: none;
    padding: 0;
}

::placeholder {
    font-size: 14px;
}


:root {
    --primary-color: #c9a962;
    --second-color:#1a3d2f;
    --light-blue: #00ccff;
    --red-color: #fe0000;
    --green-color: #e8d95a;
    
    /*#f6f4ee*/


    /*--primary-font: 'Roboto', sans-serif;*/
    --secondary-font: "Libre Caslon Display", serif;
    --golos-font: 'Golos Text', sans-serif;

    

    --border-color: hsl(220, 68%, 97%);
    --body-color: hsl(220, 100%, 99%);

    --primary-shadow: 0 2px 8px hsla(220, 68%, 12%, .1);
}

h1,h2,h3,h6{
    font-family: "Libre Caslon Display", serif;
    font-weight: 400;
}




* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    font-family: "Montserrat", sans-serif;
    position: relative;
    overflow-x: hidden;
}

.large-device-only {
    display: block;
}

.small-device-only {
    display: none;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
    padding-left: 0;
}

a {
    text-decoration: none;
}

input:focus,
textarea:focus,
select:focus {
    box-shadow: none !important;
    outline: none !important;
}

.main-btn {
    display: inline-block;
  padding: 10px 22px;
  border: 1px solid #d9a441;
  background:var(--second-color);
  color: #fff;
  text-decoration: none;
  border-radius: 0px;
  transition: 0.3s;
}


.main-btn:hover {
    color: var(--green-color);
}


.border-btn {
    background:  var(--green-color);
    border-color: var(--second-color);
    color: var(--second-color) !important;
}



.main_heading {
    font-size: 42px;
    font-weight: bold;
    letter-spacing: 1px;
    font-family: var(--secondary-font);
    color: #000;
}
section{
    padding: 70px 0;
}


/* Custom Css end */




nav.header-scrolled {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 999;
    background-color: rgba(255, 255, 255, 100) !important;
    -webkit-animation: 500ms ease-in-out 0s normal none 1 running fadeInDown;
    animation: 500ms ease-in-out 0s normal none 1 running fadeInDown;
    box-shadow: var(--primary-shadow);
}

nav.header-scrolled .nav-links li a {
    color: #000;
}
nav.header-scrolled .nav-links li a:hover{
    color: var(--second-color);
}
/*nav.header-scrolled .main-btn{*/
/*    color: var(--green-color) !important;*/
/*}*/
header.active {
    visibility: visible;
    transform: translateX(300px);
}




nav {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0.1);
    z-index: 99;
    padding-right: 0;
    padding-left: 0;
    padding-top: 20px;
    padding-bottom: 20px;
    height: auto;
    border: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

nav .wrapper {
    position: relative;

    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.wrapper .logo {
    width: 200px;
}

/* .wrapper .logo img {
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
} */

.wrapper .nav-links {
    display: inline-flex;
    margin-bottom: 0;
    align-items: center;
}

.nav-links li a {
    color: #ffffff;
    text-decoration: none;
    padding: 9px 15px;
    /*text-transform: uppercase;*/
    transition: all .4s;
    font-size: 16px;
    letter-spacing:1px;
    font-weight:400;
}
.nav-links li a:hover{
    color: var(--green-color);
}
/*header .main-btn{*/
/*    color: var(--green-color) !important;*/
    
/*}*/
.nav-links .drop-menu {
    background-color: #fff;
    width: 300px;
    top: 85px;
    line-height: 40px;
    position: absolute;
    opacity: 0;
    visibility: hidden;
    box-shadow: var(--primary-shadow);
}

.nav-links .drop-menu li {
    padding: 2px 10px;
    transition: color .4s;
}

.nav-links .drop-menu a {
    text-transform: capitalize;
    color: #000;
    transition: color .4s;
}

.nav-links .drop-menu li:hover a {
    color: var(--second-color);
}

.nav-links .administration-menu {
    width: 250px !important;
}

.nav-links li:hover .drop-menu{
    z-index: 9999;
    top: 40px;
    opacity: 1;
    visibility: visible;
    transition: all .3s ease;
}

header .submenu {
    background-color: #fff;
    width: 200px;
    left: 250px;
    line-height: 45px;
    position: absolute;
    opacity: 0;
    visibility: hidden;
    box-shadow: var(--primary-shadow);
}

.nav-links .submenu_link:hover .submenu {
    z-index: 9999;
    top: 0px;
    right: -200px;
    opacity: 1;
    visibility: visible;
    transition: all .3s ease;
}

header li .desktop-item i,
header li .mobile-item i {
    float: right;
}

.drop-menu li:last-child {
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.drop-menu li:hover {
    background-color: #f7f7f7;
}

.drop-menu li a {
    width: 100%;
    display: block;
    padding: 0 0 0 10px;
    font-weight: 400;
    letter-spacing: 0.5px;
}

.nav-links .main-btn {
    margin-left: 20px;
}

.nav-links .mobile-item {
    display: none;
}

.nav-links a {
    display: inline-flex;
    gap: 3px;
}

.wrapper .btn {
    color: var(--primary-color);
    font-size: 26px;
    cursor: pointer;
    display: none;
}

.wrapper .btn.cancel-btn {
    position: absolute;
    right: 5px;
    top: 12px;
}

/*.only-in-mobile {*/
/*    display: none;*/
/*}*/

@media screen and (max-width:970px) {
    .wrapper .btn {
        display: block ;
    }
    /* .only-in-desk {*/
    /*    display: none !important;*/
    /*}*/

    /*.only-in-mobile {*/
    /*    display: block !important;*/
    /*}*/



    .wrapper .nav-links {
        position: fixed;
        height: 100vh;
        width: 100%;
        max-width: 350px;
        background-color: #fff;
        display: block;
        top: 0;
        left: -100%;
        line-height: 50px;
        overflow-y: auto;
        padding: 50px 10px;
        box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
        transition: all .3s ease-in;
        z-index: 99999;
    }

    #menu-btn:checked~.nav-links {
        left: 0%;
    }

    #menu-btn:checked~.btn.menu-btn {
        display: none;
    }

    .nav-links::-webkit-scrollbar {
        width: 0px;
    }

    .nav-links li {
        margin: 5px;
    }

    .nav-links li a {
        /* padding: 0 20px; */
        display: block;
        font-size: 16px;
    }

    .nav-links .drop-menu {
        position: static;
        opacity: 1 !important;
        visibility: visible !important;
        top: 65px;
        padding-left: 10px;
        width: 100%;
        max-height: 0px;
        overflow: hidden;
        transition: all .5s ease-in;
        box-shadow: none;
    }

    
    
       #showRooms:checked~.drop-menu{
        max-height: 100% ;
    }
    #showExplore:checked~.drop-menu{
        max-height: 100% ;
    }
     
    #showGallery:checked~.drop-menu {
        max-height: 100% ;
    }
    
     
       #showPackages:checked~.drop-menu{
        max-height: 100% ;
    }

    .nav-links .drop-menu li {
        margin: 0;
    }

    .nav-links .drop-menu li a {
        font-size: 16px;
        border-radius: 5px;
    }

    .nav-links .desktop-item {
        display: none;
    }

    .nav-links .mobile-item {
        display: block;
        font-size: 14px;
        color: #000;
        padding-left: 5px;
        cursor: pointer;
        border-radius: 5px;
        transition: all .3s ease;
        text-transform: uppercase;
    }

    .top_menu.mobile-item {
        padding-left: 0;
    }

    .mega-box {
        position: static;
        top: 65px;
        width: 100%;
        opacity: 1;
        visibility: visible;
        max-height: 0px;
        overflow: hidden;
        transition: all .3s ease;
    }

    .mega-box .content {
        grid-template-columns: 1fr;
        padding: 20px 20px 0 20px;
    }

    .mega-box .content .row {
        width: 100%;
        margin-bottom: 15px;
        border-top: 1px solid rgba(255, 255, 255, 0.08);
    }
}

.wrapper input {
    display: none;
}

